From 015af959d07cc49119f5839e8838f23fde5635d5 Mon Sep 17 00:00:00 2001
From: Shiju Mathew <shijum@codeaurora.org>
Date: Thu, 12 Oct 2017 14:35:14 -0400
Subject: [PATCH 1/3] mm-video-v4l2: Update hypervisor target type

Update hypervisor target type for media project to enable
hypervisor compilation flags.

Change-Id: Ieb9d0d0ebe0541b46114d8d68439204915b4577f
---
 mm-video-v4l2/vidc/vdec/Android.mk | 3 ++-
 mm-video-v4l2/vidc/venc/Android.mk | 3 ++-
 2 files changed, 4 insertions(+), 2 deletions(-)

diff --git a/mm-video-v4l2/vidc/vdec/Android.mk b/mm-video-v4l2/vidc/vdec/Android.mk
index 6378053..2f5b358 100644
--- a/mm-video-v4l2/vidc/vdec/Android.mk
+++ b/mm-video-v4l2/vidc/vdec/Android.mk
@@ -33,6 +33,7 @@ TARGETS_THAT_NEED_SW_VDEC := msm8937 msm8909
 TARGETS_THAT_SUPPORT_MAX_H264_LEVEL_4 := msm8937
 TARGETS_THAT_SUPPORT_MAX_H264_LEVEL_51 := msm8953 sdm660
 TARGETS_THAT_SUPPORT_MAX_H264_LEVEL_52 := msm8996 msm8998 apq8098_latv
+TARGETS_THAT_SUPPORT_HYPERVISOR := msm8996_gvmq
 
 ifeq ($(call is-board-platform-in-list, $(TARGETS_THAT_USE_HEVC_ADSP_HEAP)),true)
 libmm-vdec-def += -D_HEVC_USE_ADSP_HEAP_
@@ -113,7 +114,7 @@ libmm-vdec-def += -DMAX_H264_LEVEL_52
 endif
 
 # Hypervisor
-ifneq (,$(filter $(MACHINE), "8x96autogvmquin" "8x96autogvmred"))
+ifeq ($(call is-board-platform-in-list, $(TARGETS_THAT_SUPPORT_HYPERVISOR)),true)
 libmm-vdec-def += -D_HYPERVISOR_
 endif
 # ---------------------------------------------------------------------------------
diff --git a/mm-video-v4l2/vidc/venc/Android.mk b/mm-video-v4l2/vidc/venc/Android.mk
index cb7bf20..6cdbcd1 100644
--- a/mm-video-v4l2/vidc/venc/Android.mk
+++ b/mm-video-v4l2/vidc/venc/Android.mk
@@ -32,6 +32,7 @@ TARGETS_THAT_SUPPORT_MAX_H264_LEVEL_4 := msm8937
 TARGETS_THAT_SUPPORT_MAX_H264_LEVEL_51 := msm8953 sdm660
 TARGETS_THAT_SUPPORT_MAX_H264_LEVEL_52 := msm8996 msm8998
 TARGETS_THAT_DONOT_SUPPORT_TEMPORAL_LAYER := msm8909 msm8937
+TARGETS_THAT_SUPPORT_HYPERVISOR := msm8996_gvmq
 
 ifeq ($(TARGET_BOARD_PLATFORM),msm8610)
 libmm-venc-def += -DMAX_RES_720P
@@ -88,7 +89,7 @@ endif
 libmm-venc-def += -DUSE_CAMERA_METABUFFER_UTILS
 
 # Hypervisor
-ifneq (,$(filter $(MACHINE), "8x96autogvmquin" "8x96autogvmred"))
+ifeq ($(call is-board-platform-in-list, $(TARGETS_THAT_SUPPORT_HYPERVISOR)),true)
 libmm-venc-def += -D_HYPERVISOR_
 endif
 
-- 
1.9.1

